Bug 869542 - spice-gtk: WinUSB driver remains installed when USB device is not unmount/ejected properly.
spice-gtk: WinUSB driver remains installed when USB device is not unmount/eje...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Uri Lublin
Desktop QE
Depends On: 845216
  Show dependency treegraph
Reported: 2012-10-24 04:23 EDT by Uri Lublin
Modified: 2016-02-10 15:20 EST (History)
9 users (show)

See Also:
Fixed In Version: mingw-virt-viewer-0.5.3-13.el6
Doc Type: Bug Fix
Doc Text:
Previously, when a remote-viewer client was closed while a USB device was connected to a client machine, the client machine could no longer use the USB device. A new package, usbclerk, temporary installs USB drivers on a per-session basis. When the session is concluded, usbclerk uninstalls the USB drivers and client machines regain access to their USB drives at the conclusion of a remote-viewer session. Known Issues: Native USB Sharing by SPICE does support the following groups of USB devices: - Isochronous devices (such as audio or video devices). - Composite devices.
Story Points: ---
Clone Of: 845216
Last Closed: 2012-12-04 12:59:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Uri Lublin 2012-10-24 04:23:06 EDT
This bug is for changes needs to be done in mingw-virt-viewer

Bug 845216 is for changes needs to be done in usb-clerk.

+++ This bug was initially created as a clone of Bug #845216 +++

Description of problem:
I believe we need to handle situation when usb device connected to a guest is not ejected/unmount properly better. In a situation when a user closes the remote-viewer client with usb device connected to the guest displayed by remote-viewer WinUSB driver remains to be installed on client machine which prevents users to use the USB device on the client machine.
I believe we should at least try to remove winusb driver on remote-viewer closure and consider to bring a solution for removal of winusb driver when active remote-viewer session is closed/crashed.

The Use case is for example following:
A user shuts the VM with a USB device connected down gracefully from inside of guest. The result is that winsusb driver is still installed and the user cannot use it on client machine. Workaround is to uninstall USB device from client machine including winusb driver and let Windows install a generic one again.

The true is that Users could be educated to unmount/eject USB devices properly but that would cost a lot of effort and bug reports.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Get a remote-viewer session to a guest with Any USB device connected to the guest.
2. Close remote-viewer while USB redirection is active.
3. Try to use the USB device on the client machine anyhow.
Actual results:
It's not possible to use USB device anyhow until you remove winusb driver and install a generic one.

Expected results:
winusb driver should be removed so Windows installs automatically a generic one -> user can use USB device on the client machine.
Comment 2 Milan Barta 2012-11-02 05:07:21 EDT
Verified on mingw-virt-viewer-0.5.3-14.el6.
Comment 5 errata-xmlrpc 2012-12-04 12:59:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.